# glm::core::type::scalar Namespace Reference

Scalar types from section 4.1.2 Booleans, 4.1.3 Integers and 4.1.4 Floats of GLSL 1.30.8 specification. More...

## Namespaces
namespace | precision

| Scalar types with precision qualifier.
## Typedefs
typedef uint_t | uint
| Unsigned integer.

## Detailed Description

Scalar types from section 4.1.2 Booleans, 4.1.3 Integers and 4.1.4 Floats of GLSL 1.30.8 specification.

This namespace is included in glm namespace.

## Typedef Documentation

typedef uint_t uint

Unsigned integer.

From GLSL 1.30.8 specification section 4.1.3 Integers.

Definition at line 122 of file type_int.hpp.